## mix_V00.10.05.src.tgz

=== Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# TypeB/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
# Autoconfiguration files for proxytest (a MiX proxy)
# Konrad Rieck <kr@r0q.cx>
#


pkgdatadir = $(datadir)/mix
pkgincludedir = $(includedir)/mix
pkglibdir = $(libdir)/mix
pkglibexecdir = $(libexecdir)/mix
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = TypeB
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
LIBRARIES = $(noinst_LIBRARIES)
AR = ar
ARFLAGS = cru
libmixb_a_AR = $(AR) $(ARFLAGS)
libmixb_a_LIBADD =
am_libmixb_a_OBJECTS = CAChain.$(OBJEXT) CAChainTable.$(OBJEXT) \
	CAFirstMixB.$(OBJEXT) CALastMixB.$(OBJEXT) \
	CALastMixBChannelList.$(OBJEXT)
libmixb_a_OBJECTS = $(am_libmixb_a_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libmixb_a_SOURCES)
DIST_SOURCES = $(libmixb_a_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/sk13/src/proxytest/missing --run aclocal-1.11
ALLOCA = 
AMTAR = ${SHELL} /home/sk13/src/proxytest/missing --run tar
AUTOCONF = ${SHELL} /home/sk13/src/proxytest/missing --run autoconf
AUTOHEADER = ${SHELL} /home/sk13/src/proxytest/missing --run autoheader
AUTOMAKE = ${SHELL} /home/sk13/src/proxytest/missing --run automake-1.11
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -D_REENTRANT -I/usr/include -I/usr/include/xercesc            -O3 -march=i686
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS =  -Wall -D_REENTRANT -I/usr/include -I/usr/include/xercesc            -O3 -march=i686
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS =  -L/usr/local/lib
LIBCPPUNIT = cppunit
LIBOBJS = 
LIBS = -lxerces-c -lcrypto -lssl  -lpthread  
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/sk13/src/proxytest/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = mix
PACKAGE_BUGREPORT = sk13@inf.tu-dresden.de
PACKAGE_NAME = AN.ON Mix
PACKAGE_STRING = AN.ON Mix 00.07.001
PACKAGE_TARNAME = mix
PACKAGE_URL = 
PACKAGE_VERSION = 00.07.001
PATH_SEPARATOR = :
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
VERSION = 00.07.001
abs_builddir = /home/sk13/src/proxytest/TypeB
abs_srcdir = /home/sk13/src/proxytest/TypeB
abs_top_builddir = /home/sk13/src/proxytest
abs_top_srcdir = /home/sk13/src/proxytest
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/sk13/src/proxytest/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
AUTOMAKE_OPTIONS = foreign
noinst_LIBRARIES = libmixb.a
libmixb_a_SOURCES = CAChain.cpp CAChain.hpp CAChainTable.cpp CAChainTable.hpp\
                    CAFirstMixB.cpp CAFirstMixB.hpp CALastMixB.cpp CALastMixB.hpp\
                    CALastMixBChannelList.cpp CALastMixBChannelList.hpp typedefsb.hpp

includes = @INCLUDES@
all: all-am

.SUFFIXES:
.SUFFIXES: .cpp .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign TypeB/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign TypeB/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
libmixb.a: $(libmixb_a_OBJECTS) $(libmixb_a_DEPENDENCIES) 
	-rm -f libmixb.a
	$(libmixb_a_AR) libmixb.a $(libmixb_a_OBJECTS) $(libmixb_a_LIBADD)
	$(RANLIB) libmixb.a

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/CAChain.Po
include ./$(DEPDIR)/CAChainTable.Po
include ./$(DEPDIR)/CAFirstMixB.Po
include ./$(DEPDIR)/CALastMixB.Po
include ./$(DEPDIR)/CALastMixBChannelList.Po

.cpp.o:
	$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
	$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(LIBRARIES)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

=== nagios/Makefile ===
all: check_mix

check_mix: check_mix.o
	gcc -o check_mix check_mix.o /usr/local/lib/libexpat.a
	
check_mix.o: check_mix.c check_mix.h ../../monitoringDefs.h
	gcc -c -pedantic -Wall check_mix.c
		
clean:
	rm -f *.o
	rm -f check_mix

=== Linux/debian/changelog ===
mix-squidconf (10.03.13) unstable; urgency=low

  * added jesus.ch and livenet.ch

 -- JonDos GmbH <info@jondos.de>  Tue, 11 Mar 2010 10:17:23 +0200
 

mix-squidconf (10.02.18) unstable; urgency=low

  * added webanzeigen.xxxx.de

 -- JonDos GmbH <info@jondos.de>  Thu, 18 Feb 2010 10:17:23 +0200

mix-squidconf (10.01.18) unstable; urgency=low

  * initial debian version

 -- JonDos GmbH <info@jondos.de>  Wed, 20 Jan 2010 11:17:23 +0200

=== Linux/debian/control ===
Source: mix-squidconf
Section: net
Priority: optional
Maintainer: JonDos GmbH <info@jondos.de>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 5.0
Homepage: https://www.jondos.de


Package: mix-free-squidconf
Architecture: all
Depends: squid
Conflicts: mix-premium-squidconf
Description: squid configuration for JonDonym free mixes
 The package contains an optimized squid configuration für JonDonym free exit mixes.
Homepage: https://www.jondos.de

Package: mix-premium-squidconf
Architecture: all
Depends: squid
Conflicts: mix-free-squidconf
Description: squid configuration for JonDonym premium mixes
 The package contains an optimized squid configuration für JonDonym premium exit mixes.
Homepage: https://www.jondos.de

=== control ===
Source: jondonym-mix
Section: net
Priority: optional
Maintainer: JAP-Team <jap@inf.tu-dresden.de>
Build-Depends: debhelper (>= 4.0.0), libssl-dev (>=0.9.7), libxerces-c2-dev
Standards-Version: 3.7.2

Package: mix-free-entry
Architecture: any
Depends: libssl, libxerces-c28 | libxerces28
Description: mix server for JonDonym (free mix cascade, entry mix)
 JonDonym (the name is derived from John Doe and Anonymous) protects your privacy on the internet and makes truely anonymous websurfing possible. It consists of the following components:
    * Mixes Anonymizing intermediaries (proxies) which multiply encrypt, mix and forward data streams of several users.
    * Mix Cascades Chains of Mixes run by various independent operators. They typically consist of three Mixes: one first Mix (IN) which receives requests from the users, one middle Mix (MIDDLE) which only forwards traffic to other Mixes, and a last Mix (OUT) which sends the real outgoing requests to internet resources.
    * InfoService A separate service which provides information about the available mixes and mix cascades, thenumber of users currently using the mix cascades, and their current workload.
    * JonDo Client program installed on the user's computer. Its primary use is to establish encrypted connections to anonymising Mix Cascades. The users are called JonDonauts (resembling the term "astronauts").
 In this form, the system protects from observation by
    * the visited web server,
    * your internet access provider (internet cafe, WLAN, AOL, T-Online, ...),
    * other eavesdroppers on the connections (ECHELON,...),
    * any data retention (by international distribution) and
    * the JonDonym service itself.
 .

=== Linux/debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	
	# install the squid config for free mixes
	install -m 0644 squid.conf.free debian/mix-free-squidconf/usr/share/doc/mix-free-squidconf/conf/squid.conf
	install -m 0644 squid-block.acl debian/mix-free-squidconf/usr/share/doc/mix-free-squidconf/conf/squid-block.acl
	
	# install the squid config for premium mixes
	install -m 0644 squid.conf.premium debian/mix-premium-squidconf/usr/share/doc/mix-premium-squidconf/conf/squid.conf
	install -m 0644 squid-block.acl debian/mix-premium-squidconf/usr/share/doc/mix-premium-squidconf/conf/squid-block.acl

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -A debian/copyright
	dh_installchangelogs
	dh_compress --exclude=squid --exclude=dante
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean
	make clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	PWD='pwd'
	./configure --prefix=$(PWD)/debian/mix-free-entry/usr --enable-server_monitoring --enable-new-channel-encryption --enable-new-flow-control --enable-user-bandwidth-limitation
	make
	make install

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installman debian/mix.8
	dh_installinit
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
